HUSH-CLI(1)

NAME
hush-cli - manual page for hush-cli v3.9.0

DESCRIPTION
Hush RPC client version v3.9.0-44ed2bd07-dirty

In order to ensure you are adequately protecting your privacy when using Hush, please see <https://hush.is/security/>.

  Usage:

hush-cli [options] <command> [params]
    Send command to Hush

hush-cli [options] help
    List commands

hush-cli [options] help <command>
    Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: HUSH3.conf)

-datadir=<dir>

    Specify data directory

-testnet

    Use the test network

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 18030 )

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases)

COPYRIGHT
In order to ensure you are adequately protecting your privacy when using Hush, please see <https://hush.is/security/>. Copyright (C) 2016-2021 Duke Leto and The Hush Developers Copyright (C) 2016-2020 jl777 and SuperNET developers Copyright (C) 2016-2018 The Zcash developers Copyright (C) 2009-2014 The Bitcoin Core developers This is experimental Free Software! Fuck Yeah!!!!! Distributed under the GPLv3 software license, see the accompanying file COPYING or <https://www.gnu.org/licenses/gpl-3.0.en.html>.